Wireshark-dev: Re: [Wireshark-dev] wireshark-0.99.2 and OpenBSD 3.9
From: Stephen Fisher <[email protected]>
Date: Tue, 25 Jul 2006 14:58:07 -0700
On Tue, Jul 25, 2006 at 08:40:38AM -0700, Stephen Fisher wrote:

> On Mon, Jul 24, 2006 at 02:21:47PM -0600, Dale Carstensen wrote:
> 
> > I browsed a bit in the gmane archive for the problems I'm seeing 
> > building wireshark 0.99.2 on OpenBSD 3.9, and all I found was a note 
> > about adding @[email protected] to Makefile.am in 3 places, so I'm 
> > thinking the problems I see haven't been addressed.

> I'm surprisd you're having so much trouble as it works without much 
> trouble on FreeBSD.  If I have a chance, I'll install OpenBSD (always 
> wanted to try it anyway) and see if I can get it to build.

Dale - I installed a fresh copy of OpenBSD with all the sets and the 
dependencies and the latest SVN build works fine.

I installed Firefox first, which took care of most of them such as gtk.  
I also installed python (and made link from /usr/local/bin/python -> 
/usr/local/bin/python2.4), autoconf, automake, pkgconfig and gmake from 
the packages.  I did setenv AUTOCONF_VERSION 2.59 and AUTOMAKE_VERSION 
1.9 as instructed.  Then ran the usual autogen.sh, configure, gmake.  
Let me know if the latest SVN still causes problems for you.


Steve